Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#94 xvidcap freezes during capture

closed
capture (20)
5
2008-11-06
2008-10-27
Adam Spiers
No

After capturing a certain amount of video, xvidcap 1.1.7 always hangs:

Process 27740 attached with 6 threads - interrupt to quit
[pid 27740] futex(0xb2e038ac, FUTEX_WAIT_PRIVATE, 1027, NULL) = -1 EAGAIN (Resource temporarily unavailable)
[pid 27740] futex(0xb2e038ac, FUTEX_WAIT_PRIVATE, 1028, NULL <unfinished ...>
[pid 27739] futex(0xb2e038ac, FUTEX_WAIT_PRIVATE, 1026, NULL <unfinished ...>
[pid 27738] futex(0xb2e038ac, FUTEX_WAIT_PRIVATE, 1028, NULL <unfinished ...>
[pid 27739] <... futex resumed> ) = -1 EAGAIN (Resource temporarily unavailable)
[pid 27737] futex(0xb2e038ac, FUTEX_WAIT_PRIVATE, 1025, NULL <unfinished ...>
[pid 27739] futex(0xb2e038ac, FUTEX_WAIT_PRIVATE, 1028, NULL <unfinished ...>
[pid 27737] <... futex resumed> ) = -1 EAGAIN (Resource temporarily unavailable)
[pid 27737] futex(0xb2e038ac, FUTEX_WAIT_PRIVATE, 1028, NULL <unfinished ...>
[pid 27736] futex(0x8f28fc0, FUTEX_WAIT_PRIVATE, 1, NULL <unfinished ...>
[pid 27467] futex(0x8ae3014, FUTEX_WAIT_PRIVATE, 933, NULL^C <unfinished ...>

The timing of the hang seems to be correlated to the amount of data captured - if the video resolution is large and/or if there is a lot of activity within the video stream (thereby reducing the amount of compression possible) it happens much sooner.

P.S. I couldn't select the correct Group for this bug because 1.1.7 wasn't an option.

Discussion

  • Please provide the output of:
    ldd <path-to-xvidcap-binary>/xvidcap | grep -i xcb

     
  • Adam Spiers
    Adam Spiers
    2008-11-06

    libxcb-xlib.so.0 => /usr/lib/libxcb-xlib.so.0 (0x008c8000)
    libxcb.so.1 => /usr/lib/libxcb.so.1 (0x008cc000)

    % rpm -qf /usr/lib/libxcb{.so.1,-xlib.so.0}
    libxcb-1.1-4.fc9.i386
    libxcb-1.1-4.fc9.i386
    % rpm -qi libxcb
    Name : libxcb Relocations: (not relocatable)
    Version : 1.1 Vendor: Fedora Project
    Release : 4.fc9 Build Date: Tue 22 Apr 2008 18:37:56 BST
    Install Date: Sat 14 Jun 2008 17:25:45 BST Build Host: hammer2.fedora.redhat.com
    Group : System Environment/Libraries Source RPM: libxcb-1.1-4.fc9.src.rpm
    Size : 436068 License: MIT
    Signature : DSA/SHA1, Wed 23 Apr 2008 13:45:47 BST, Key ID b44269d04f2a6fd2
    Packager : Fedora Project
    URL : http://xcb.freedesktop.org/
    Summary : A C binding to the X11 protocol
    Description :
    The X protocol C-language Binding (XCB) is a replacement for Xlib featuring a
    small footprint, latency hiding, direct access to the protocol, improved
    threading support, and extensibility.

     
  • I'm afraid, I can only regard "improved threading support" in libxcb as some sort of nasty joke. Please read the FAQ for how to work around deadlock issues caused by libxcb. If you can reproduce the hangs on e. g. ubuntu gutsy (that does not have libxcb) or e. g. on hardy with LD_LIBRARY_PATH set to make xvidcap use non-libxcb X libraries, do let me know.

     
    • assigned_to: nobody --> charly4711
    • status: open --> pending
     
  • Adam Spiers
    Adam Spiers
    2008-11-06

    Ahah, thanks for the info. I had (incorrectly) decided not to bother reading the FAQ on xvidcap.sourceforge.net because the front page hasn't been updated since 2006, so I (wrongly?) assumed that that website was no longer maintained. Can I suggest that you add two or three lines in the News section at the top about releases since 1.1.4, so that the website still looks maintained?

    If I get the hangs again I will recompile without libxcb. Thanks again!

     
  • Adam Spiers
    Adam Spiers
    2008-11-06

    • status: pending --> open
     
  • Hmm, if you find a way to compile xvidcap without libxcb, that would be great!
    To my current knowledge, you need to compile Xlib without libxcb support. And that is not quite so trivial to do.

     
    • status: open --> closed